Analyze domain anomalies
curl --request POST \
--url https://api.ipulse.one/v2/domains/{domainId}/analyze-anomalies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ipulse.one/v2/domains/{domainId}/analyze-anomalies"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ipulse.one/v2/domains/{domainId}/analyze-anomalies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ipulse.one/v2/domains/{domainId}/analyze-anomalies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {
"analysis_id": "<string>",
"status": "completed",
"anomalies_found": 123
}
}{
"success": false,
"message": "Unauthenticated."
}{
"success": false,
"message": "Resource not found."
}AI & Anomalies
Analyze domain anomalies
Analyze a domain for potential anomalies using AI
POST
/
v2
/
domains
/
{domainId}
/
analyze-anomalies
Analyze domain anomalies
Authorizations
bearerAuthagentAuth
API token generated from your PulseGuard dashboard
Path Parameters
Domain ID
⌘I

